<?php
/**
 * @file
 * popsu_themes_trans.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_themes_trans_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-theme-trans-node';
  $context->description = 'Contexte d\'un noeud de type Thème transversal (feature)';
  $context->tag = 'themes-trans-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_theme_trans' => 'popsu_theme_trans',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
        'menu_block-4' => array(
          'module' => 'menu_block',
          'delta' => '4',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Thème transversal (feature)');
  t('themes-trans-feature');
  $export['popsu-theme-trans-node'] = $context;

  return $export;
}
